import { defineConfig } from 'vite'
import react from '@vitejs/plugin-react'

export default defineConfig({
  plugins: [react()],
  base: '/superadmin/',
  build: {
    outDir: '../sistema-nuvem/public/superadmin',
    emptyOutDir: true,
  },
  server: {
    proxy: {
      '/superadmin/api': 'http://localhost:4001',
    },
  },
})
